package com.gic.cloud.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.AccountGroupDTO;

import java.util.List;

/**
 * 账号分组接口
 * @ClassName: AccountGroupApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/6 10:14 AM 
 */
public interface AccountGroupApiService {
    /**
     * 新增账号分组
     * @Title: saveAccountGroup 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveAccountGroup(AccountGroupDTO dto);

    ServiceResponse<Void> editAccountGroup(AccountGroupDTO dto);

    /**
     * 排序
     * @Title: sortAccountGroup 
     * @Description:
     * @author guojuxing
     * @param accountGroupId
     * @param targetSort 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> sortAccountGroup(Integer accountGroupId, Integer targetSort);

    /**
     * 账号分组列表，带用户数量统计
     * @Title: listAccountGroupOfCountMember 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.AccountGroupDTO>> 
     */
    ServiceResponse<List<AccountGroupDTO>> listAccountGroupOfCountMember(Integer enterpriseId);

    ServiceResponse<Void> deleteAccountGroup(Integer accountGroupId);
}
