package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.IndexDTO;
import com.gic.cloud.qo.IndexQO;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:13
 */
public interface IndexApiService {

    /**
     * @Title: saveIndex
     * @Description:
     * @author zhiwj
     * @param indexDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveIndex(IndexDTO indexDTO);

    /**
     * @Title: editIndex
     * @Description:
     * @author zhiwj
     * @param indexDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> updateIndex(IndexDTO indexDTO, Integer updateType, String reason);

    /**
     * @Title: getById
     * @Description:
     * @author zhiwj
     * @param indexId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.cloud.dto.IndexDTO>
     * @throws
     */
    ServiceResponse<IndexDTO> getByIndexId(Integer indexId);

    /**
     * @Title: listIndex
     * @Description: 
     * @author zhiwj 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.IndexDTO>>
     * @throws 
     */
    ServiceResponse<Page<IndexDTO>> listIndex(IndexQO indexQO);
    
    /**
     * @Title: listAllIndex
     * @Description: 
     * @author zhiwj 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.IndexDTO>>
     * @throws 
     */
    ServiceResponse<List<IndexDTO>> listAllIndex();

    /**
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param indexId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delete(Integer indexId);

    /**
     * 发布指标
     * @Title: publish
     * @Description:
     * @author zhiwj
     * @param indexIdList
     * @param updateType
     * @param reason
     * @param optUserId
     * @param optUserName
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> publish(List<Integer> indexIdList, Integer updateType, String reason, Integer optUserId, String optUserName);

    /**
     * @Title: listByModule
     * @Description: 
     * @author zhiwj 
     * @param moduleId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.IndexDTO>>
     * @throws 
     */
    ServiceResponse<List<IndexDTO>> listByModule(String moduleId); 
}
