package com.gic.cloud.operation.web.controller;

import com.gic.authcenter.security.core.util.UserUtils;
import com.gic.cloud.dto.FunctionModuleDTO;
import com.gic.cloud.operation.web.vo.FunctionModuleVO;
import com.gic.cloud.service.FunctionModuleApiService;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetail;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("function-module")
public class FunctionModuleController {
    private static Logger LOGGER = LogManager.getLogger(FunctionModuleController.class);

    @Autowired
    private FunctionModuleApiService functionModuleApiService;

    @RequestMapping("/list-function-component")
    public RestResponse listFunctionComponent(String search) {
        return ResultControllerUtils.commonResult(functionModuleApiService.listFunctionModule(search), FunctionModuleVO.class);
    }

    /**
     * 添加说明
     * @param dto
     * @return
     */
    @RequestMapping("/edit-function-component")
    public RestResponse editFunctionComponent(FunctionModuleDTO dto) {
        dto.setOperationId(UserUtils.getUser().getId().toString());
        dto.setOperationName(UserUtils.getUser().getRealName());
        return ResultControllerUtils.commonResult(functionModuleApiService.editFunctionModule(dto));
    }
}
