package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabDataExplain;
import com.gic.cloud.qo.DataExplainQO;
import com.github.pagehelper.Page;

public interface TabDataExplainMapper {
    /**
     * 根据主键删除
     *
     * @param dataExplainId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer dataExplainId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataExplain record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataExplain record);

    /**
     * 根据主键查询
     *
     * @param dataExplainId 主键
     * @return 实体对象
     */
    TabDataExplain selectByPrimaryKey(Integer dataExplainId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataExplain record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataExplain record);

    TabDataExplain getBySelective(TabDataExplain tabDataExplain);

    Page<TabDataExplain> listDataExplain(DataExplainQO dataExplainQO);
}