package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabIndexGroup;

import java.util.List;

public interface TabIndexGroupMapper {
    /**
     * 根据主键删除
     *
     * @param indexGroupId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer indexGroupId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexGroup record);

    /**
     * 根据主键查询
     *
     * @param indexGroupId 主键
     * @return 实体对象
     */
    TabIndexGroup selectByPrimaryKey(Integer indexGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexGroup record);

    TabIndexGroup getBySelective(TabIndexGroup indexGroup);

    List<TabIndexGroup> listIndexGroup();
}