package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabIndexLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabIndexLogMapper {
    /**
     * 根据主键删除
     *
     * @param cloudIndexLogId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer cloudIndexLogId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexLog record);

    /**
     * 根据主键查询
     *
     * @param cloudIndexLogId 主键
     * @return 实体对象
     */
    TabIndexLog selectByPrimaryKey(Integer cloudIndexLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexLog record);

    List<TabIndexLog> listBusinessLog(@Param("businessId") Integer businessId, @Param("type") Integer type);
}