package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabIndexModuleRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabIndexModuleRelMapper {
    /**
     * 根据主键删除
     *
     * @param indexModuleRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer indexModuleRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexModuleRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexModuleRel record);

    /**
     * 根据主键查询
     *
     * @param indexModuleRelId 主键
     * @return 实体对象
     */
    TabIndexModuleRel selectByPrimaryKey(Integer indexModuleRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexModuleRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexModuleRel record);

    void delByBusinessId(@Param("businessId") Integer businessId, @Param("type") Integer type);

    void insertSelectiveByNotExist(TabIndexModuleRel rel);

    void updateStatusByBusinessIds(@Param("businessId") Integer businessId, @Param("ids") List<String> moduleIdList, @Param("type") Integer type);

    List<String> listModuleIdByBusinessId(@Param("businessId") Integer businessId, @Param("type") Integer type);

    List<Integer> listBusinessIdByModuleId(@Param("moduleId") Integer moduleId);

    List<TabIndexModuleRel> listModuleIdByBusinessIds(@Param("ids") List<Integer> businessIdList, @Param("type") Integer type);
}