package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysAccountGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysAccountGroupMapper {
    /**
     * 根据主键删除
     *
     * @param accountGroupId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer accountGroupId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysAccountGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysAccountGroup record);

    /**
     * 根据主键查询
     *
     * @param accountGroupId 主键
     * @return 实体对象
     */
    TabSysAccountGroup selectByPrimaryKey(Integer accountGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysAccountGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysAccountGroup record);

    int countByAccountGroupName(@Param("enterpriseId") Integer enterpriseId,
                                @Param("accountGroupId") Integer accountGroupId,
                                @Param("accountGroupName") String accountGroupName);

    int queryMaxSort(@Param("enterpriseId") Integer enterpriseId);

    List<TabSysAccountGroup> listAccountGroupOrderBySort(@Param("enterpriseId") Integer enterpriseId);

    int deleteAccountGroup(@Param("accountGroupId")Integer accountGroupId);
}