package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysDataAuth;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysDataAuthMapper {
    /**
     * 根据主键删除
     *
     * @param dataAuthId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer dataAuthId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysDataAuth record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysDataAuth record);

    /**
     * 根据主键查询
     *
     * @param dataAuthId 主键
     * @return 实体对象
     */
    TabSysDataAuth selectByPrimaryKey(Integer dataAuthId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysDataAuth record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysDataAuth record);

    int countByDataAuthName(@Param("enterpriseId") Integer enterpriseId,
                            @Param("dataAuthId") Integer dataAuthId,
                            @Param("dataAuthName") String dataAuthName);

    int deleteDataAuth(@Param("dataAuthId") Integer dataAuthId);

    List<TabSysDataAuth> listDataAuth(@Param("enterpriseId")Integer enterpriseId,
                                      @Param("dataAuthName")String dataAuthName);
}