package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysFunction;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysFunctionMapper {
    /**
     * 根据主键删除
     *
     * @param functionId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer functionId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysFunction record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysFunction record);

    /**
     * 根据主键查询
     *
     * @param functionId 主键
     * @return 实体对象
     */
    TabSysFunction selectByPrimaryKey(Integer functionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysFunction record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysFunction record);

    int countByRepeatFunctionName(@Param("enterpriseId") Integer enterpriseId,
                                  @Param("functionId") Integer functionId,
                                  @Param("functionName") String functionName);

    void deleteFunction(@Param("functionId") Integer functionId);

    List<TabSysFunction> listFunction(@Param("enterpriseId")Integer enterpriseId, @Param("functionName") String functionName);
}