package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysFunctionModule;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysFunctionModuleMapper {
    /**
     * 根据主键删除
     *
     * @param functionModuleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer functionModuleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysFunctionModule record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysFunctionModule record);

    /**
     * 根据主键查询
     *
     * @param functionModuleId 主键
     * @return 实体对象
     */
    TabSysFunctionModule selectByPrimaryKey(Integer functionModuleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysFunctionModule record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysFunctionModule record);

    List<TabSysFunctionModule> listFunctionModule(@Param("search") String search);
}