package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysTempStoreCondition;
import org.apache.ibatis.annotations.Param;

public interface TabSysTempStoreConditionMapper {
    /**
     * 根据主键删除
     *
     * @param tempStoreConditionId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer tempStoreConditionId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysTempStoreCondition record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysTempStoreCondition record);

    /**
     * 根据主键查询
     *
     * @param tempStoreConditionId 主键
     * @return 实体对象
     */
    TabSysTempStoreCondition selectByPrimaryKey(Integer tempStoreConditionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysTempStoreCondition record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysTempStoreCondition record);

    TabSysTempStoreCondition getTempStoreCondition(@Param("enterpriseId") Integer enterpriseId);
}