package com.gic.cloud.dao.mapper;

import com.gic.cloud.dto.UserDTO;
import com.gic.cloud.entity.TabSysUser;
import com.gic.cloud.qo.UserQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysUserMapper {
    /**
     * 根据主键删除
     *
     * @param userId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer userId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUser record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUser record);

    /**
     * 根据主键查询
     *
     * @param userId 主键
     * @return 实体对象
     */
    TabSysUser selectByPrimaryKey(Integer userId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUser record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUser record);

    int countByRepeatPhone(@Param("enterpriseId") Integer enterpriseId,
                           @Param("userId") Integer userId,
                           @Param("nationCode") String nationCode,
                           @Param("phone") String phone);

    void deleteUser(@Param("userId") Integer userId);

    void deleteUserByAccountGroupId(@Param("accountGroupId") Integer accountGroupId);

    List<TabSysUser> pageUser(UserQO userQO);

    void bulkTransferAccountGroup(@Param("userIdList") List<Integer> userIdList, @Param("targetAccountGroupId") Integer targetAccountGroupId);

    List<UserDTO> countGroupByAccountGroupId(@Param("enterpriseId")Integer enterpriseId);

    List<TabSysUser> listUserByPhone(@Param("nationCode") String nationCode, @Param("phone") String phone);

    List<UserDTO> countGroupByFunctionAuthId(@Param("enterpriseId") Integer enterpriseId,
                                             @Param("functionIdList") List<Integer> functionIdList);

    List<UserDTO> countGroupByDataAuthId(@Param("enterpriseId") Integer enterpriseId,
                                         @Param("dataAuthIdList") List<Integer> dataAuthIdList);
}