package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabUpdateTips;
import org.apache.ibatis.annotations.Param;

public interface TabUpdateTipsMapper {
    /**
     * 根据主键删除
     *
     * @param updateTipsId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer updateTipsId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUpdateTips record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUpdateTips record);

    /**
     * 根据主键查询
     *
     * @param updateTipsId 主键
     * @return 实体对象
     */
    TabUpdateTips selectByPrimaryKey(Integer updateTipsId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUpdateTips record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUpdateTips record);

    void updateStatus(@Param("businessId") Integer businessId, @Param("type") Integer type, @Param("userId") Integer userId, @Param("showStatus") Integer showStatus);
}