package com.gic.cloud.service;


import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.AccountGroupDTO;
import com.gic.cloud.entity.TabSysAccountGroup;

import java.util.List;

public interface AccountGroupService {

    Integer saveAccountGroup(AccountGroupDTO dto);

    void editAccountGroup(AccountGroupDTO dto);

    /**
     * 判断是否账号分组名称重复
     * @Title: isRepeatAccountGroupName 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param accountGroupId
     * @param accountGroupName 
     * @return  boolean 
     */
    boolean isRepeatAccountGroupName(Integer enterpriseId, Integer accountGroupId, String accountGroupName);

    /**
     * 查询商户最大账号分组的序号值
     * @param enterpriseId
     * @return
     */
    int queryMaxSort(Integer enterpriseId);

    /**
     * 查询详情
     * @Title: getAccountGroupById 
     * @Description:
     * @author guojuxing
     * @param accountGroupId 
     * @return  com.gic.cloud.entity.TabSysAccountGroup 
     */
    TabSysAccountGroup getAccountGroupById(Integer accountGroupId);

    void sortAccountGroup(TabSysAccountGroup record, Integer targetSort);

    List<TabSysAccountGroup> listAccountGroupOrderBySort(Integer enterpriseId);

    void deleteAccountGroup(Integer accountGroupId);
}
