package com.gic.cloud.service;

import com.gic.cloud.dto.UserDTO;
import com.gic.cloud.entity.TabSysUser;
import com.gic.cloud.qo.UserQO;
import com.github.pagehelper.Page;

import java.util.List;

public interface UserService {

    Integer saveUser(UserDTO dto);

    void editUser(UserDTO dto);

    TabSysUser getUser(Integer userId);

    boolean isRepeatPhone(Integer enterpriseId, Integer userId, String nationCode, String phone);

    void deleteUser(Integer userId);

    /**
     * 删除账号分组下的所有用户
     * @Title: deleteUserByAccountGroupid 
     * @Description:
     * @author guojuxing
     * @param accountGroupId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    void deleteUserByAccountGroupId(Integer accountGroupId);

    Page<TabSysUser> pageUser(UserQO userQO);

    List<TabSysUser> listUser(UserQO userQO);

    void bulkTransferAccountGroup(List<Integer> userIdList, Integer targetAccountGroupId);

    List<UserDTO> countGroupByAccountGroupId(Integer enterpriseId);

    List<TabSysUser> listUserByPhone(String nationCode, String phone);

    List<UserDTO> countGroupByFunctionAuthId(Integer enterpriseId, List<Integer> functionIdList);

    List<UserDTO> countGroupByDataAuthId(Integer enterpriseId, List<Integer> dataAuthIdList);
}
