package com.gic.cloud.service.impl;

import com.gic.cloud.dao.mapper.TabSysDataAuthMapper;
import com.gic.cloud.dto.DataAuthDTO;
import com.gic.cloud.entity.TabSysDataAuth;
import com.gic.cloud.service.DataAuthService;
import com.gic.commons.util.EntityUtil;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("dataAuthService")
public class DataAuthServiceImpl implements DataAuthService{
    @Autowired
    private TabSysDataAuthMapper tabSysDataAuthMapper;

    @Override
    public Integer saveDataAuth(DataAuthDTO dto) {
        TabSysDataAuth record = EntityUtil.changeEntityNew(TabSysDataAuth.class, dto);
        Date now = new Date();
        record.setUpdateTime(now);
        record.setCreateTime(now);
        record.setStatus(1);
        tabSysDataAuthMapper.insert(record);
        return record.getDataAuthId();
    }

    @Override
    public void editDataAuth(DataAuthDTO dto) {
        TabSysDataAuth record = EntityUtil.changeEntityNew(TabSysDataAuth.class, dto);
        record.setUpdateTime(new Date());
        tabSysDataAuthMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabSysDataAuth getDataAuth(Integer dataAuthId) {
        return tabSysDataAuthMapper.selectByPrimaryKey(dataAuthId);
    }

    @Override
    public boolean isRepeatDataAuthName(Integer enterpriseId, Integer dataAuthId, String dataAuthName) {
        if (tabSysDataAuthMapper.countByDataAuthName(enterpriseId, dataAuthId, dataAuthName) > 0) {
            return true;
        }
        return false;
    }

    @Override
    public int deleteDataAuth(Integer dataAuthId) {
        return tabSysDataAuthMapper.deleteDataAuth(dataAuthId);
    }

    @Override
    public Page<TabSysDataAuth> pageDataAuth(Integer enterpriseId, String dataAuthName, Integer currentPage, Integer pageSize) {
        if (currentPage == null) {
            currentPage = 1;
        }
        if (pageSize == null) {
            pageSize = 20;
        }
        PageHelper.startPage(currentPage, pageSize);
        return (Page<TabSysDataAuth>) tabSysDataAuthMapper.listDataAuth(enterpriseId, dataAuthName);
    }

    @Override
    public List<TabSysDataAuth> listDataAuth(Integer enterpriseId, String dataAuthName) {
        return tabSysDataAuthMapper.listDataAuth(enterpriseId, dataAuthName);
    }
}
