package com.gic.cloud.service.impl;

import com.gic.cloud.dao.mapper.TabIndexGroupMapper;
import com.gic.cloud.dto.IndexGroupDTO;
import com.gic.cloud.entity.TabIndexGroup;
import com.gic.cloud.service.IndexGroupService;
import com.gic.commons.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-13 15:38
 */
@Service
public class IndexGroupServiceImpl implements IndexGroupService {

    @Autowired
    private TabIndexGroupMapper tabIndexGroupMapper;

    @Override
    public boolean isNameRepeat(String indexGroupName, Integer indexGroupId) {
        TabIndexGroup indexGroup = new TabIndexGroup();
        indexGroup.setIndexGroupName(indexGroupName);
        indexGroup.setIndexGroupId(indexGroupId);
        return tabIndexGroupMapper.getBySelective(indexGroup) != null;
    }

    @Override
    public Integer save(IndexGroupDTO indexGroupDTO) {
        TabIndexGroup indexGroup = EntityUtil.changeEntityByJSON(TabIndexGroup.class, indexGroupDTO);
        indexGroup.setStatus(1);
        indexGroup.setCreateTime(new Date());
        tabIndexGroupMapper.insertSelective(indexGroup);
        return indexGroup.getIndexGroupId();
    }

    @Override
    public TabIndexGroup getById(Integer indexGroupId) {
        return tabIndexGroupMapper.selectByPrimaryKey(indexGroupId);
    }

    @Override
    public void update(IndexGroupDTO indexGroupDTO) {
        tabIndexGroupMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityByJSON(TabIndexGroup.class, indexGroupDTO));
    }

    @Override
    public void delete(Integer indexGroupId) {
        TabIndexGroup tabIndexGroup = new TabIndexGroup();
        tabIndexGroup.setIndexGroupId(indexGroupId);
        tabIndexGroup.setStatus(0);
        tabIndexGroupMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityByJSON(TabIndexGroup.class, tabIndexGroup));
    }

    @Override
    public List<TabIndexGroup> listIndexGroup() {
        return tabIndexGroupMapper.listIndexGroup();
    }
}
