package com.gic.cloud.service.impl;

import com.gic.cloud.dao.mapper.TabIndexMapper;
import com.gic.cloud.dto.IndexDTO;
import com.gic.cloud.entity.TabIndex;
import com.gic.cloud.qo.IndexQO;
import com.gic.cloud.service.IndexService;
import com.gic.commons.util.EntityUtil;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:20
 */
@Service
public class IndexServiceImpl implements IndexService {

    @Autowired
    private TabIndexMapper tabIndexMapper;

    @Override
    public boolean isNameRepeat(String name, Integer indexId) {
        TabIndex tabIndex = new TabIndex();
        tabIndex.setName(name);
        tabIndex.setIndexId(indexId);
        return tabIndexMapper.getBySelective(tabIndex) != null;
    }

    @Override
    public boolean isCodeRepeat(String code, Integer indexId) {
        TabIndex tabIndex = new TabIndex();
        tabIndex.setCode(code);
        tabIndex.setIndexId(indexId);
        return tabIndexMapper.getBySelective(tabIndex) != null;
    }

    @Override
    public Integer save(IndexDTO indexDTO) {
        TabIndex tabIndex = EntityUtil.changeEntityByJSON(TabIndex.class, indexDTO);
        tabIndex.setStatus(1);
        tabIndex.setCreateTime(new Date());
        tabIndex.setUpdateTime(new Date());
        tabIndexMapper.insertSelective(tabIndex);
        return tabIndex.getIndexId();
    }

    @Override
    public void update(IndexDTO indexDTO) {
        TabIndex tabIndex = EntityUtil.changeEntityByJSON(TabIndex.class, indexDTO);
        tabIndexMapper.updateByPrimaryKeySelective(tabIndex);
    }

    @Override
    public TabIndex getByIndexId(Integer indexId) {
        return tabIndexMapper.selectByPrimaryKey(indexId);
    }

    @Override
    public Page<TabIndex> listIndex(IndexQO indexQO) {
        PageHelper.startPage(indexQO.getCurrentPage(), indexQO.getPageSize());
        return tabIndexMapper.listIndex(indexQO);
    }

    @Override
    public List<TabIndex> listAllIndex(IndexQO indexQO) {
        return tabIndexMapper.listIndex(new IndexQO());
    }

    @Override
    public void deleteById(Integer indexId) {
        TabIndex index = new TabIndex();
        index.setIndexId(indexId);
        index.setStatus(0);
        tabIndexMapper.updateByPrimaryKeySelective(index);
    }
}
