package com.gic.cloud.service.impl;

import com.gic.cloud.dao.mapper.TabSysTempStoreConditionMapper;
import com.gic.cloud.dto.TempStoreConditionDTO;
import com.gic.cloud.entity.TabSysTempStoreCondition;
import com.gic.cloud.service.TempStoreConditionService;
import com.gic.commons.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("tempStoreConditionService")
public class TempStoreConditionServiceImpl implements TempStoreConditionService{
    @Autowired
    private TabSysTempStoreConditionMapper tabSysTempStoreConditionMapper;

    @Override
    public Integer saveTempStoreCondition(TempStoreConditionDTO dto) {
        TabSysTempStoreCondition record = EntityUtil.changeEntityNew(TabSysTempStoreCondition.class, dto);
        Date now = new Date();
        record.setCreateTime(now);
        record.setUpdateTime(now);
        record.setStatus(1);
        tabSysTempStoreConditionMapper.insert(record);
        return record.getTempStoreConditionId();
    }

    @Override
    public void editTempStoreCondition(TempStoreConditionDTO dto) {
        TabSysTempStoreCondition record = EntityUtil.changeEntityNew(TabSysTempStoreCondition.class, dto);
        record.setUpdateTime(new Date());
        tabSysTempStoreConditionMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabSysTempStoreCondition getTempStoreCondition(Integer enterpriseId) {
        return tabSysTempStoreConditionMapper.getTempStoreCondition(enterpriseId);
    }
}
