package com.gic.cloud.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.FunctionModuleDTO;
import com.gic.cloud.entity.TabSysFunctionModule;
import com.gic.cloud.service.FunctionModuleApiService;
import com.gic.cloud.service.FunctionModuleService;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.error.ErrorCode;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Optional;

@Service("functionModuleApiService")
public class FunctionModuleApiServiceImpl implements FunctionModuleApiService{
    @Autowired
    private FunctionModuleService functionModuleService;

    @Override
    public ServiceResponse<Integer> saveFunctionModule(FunctionModuleDTO dto) {
        return null;
    }

    @Override
    public ServiceResponse<Void> editFunctionModule(FunctionModuleDTO dto) {
        TabSysFunctionModule record = functionModuleService.getFunctionModule(dto.getFunctionModuleId());
        if (record == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "功能模块id错误，查无数据");
        }
        if (dto.getOperationId() == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "操作人不能为空");
        }
        if (StringUtils.isBlank(dto.getOperationName())) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "操作人不能为空");
        }
        if (StringUtils.isBlank(dto.getFunctionModuleDesc())) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "功能模块说明不能为空");
        }
        functionModuleService.editFunctionModule(dto);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<List<FunctionModuleDTO>> listFunctionModule(String search) {
        return ServiceResponse.success(Optional.ofNullable(EntityUtil.changeEntityListNew(FunctionModuleDTO.class,
                functionModuleService.listFunctionModule(search))).orElse(Collections.EMPTY_LIST));
    }
}
