package com.gic.cloud.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.AttentionStoreDTO;
import com.gic.cloud.entity.TabAttentionStore;
import com.gic.cloud.service.StoreAttentionApiService;
import com.gic.cloud.service.StoreAttenttionService;
import com.gic.commons.util.PageHelperUtils;
import com.github.pagehelper.PageHelper;
import com.google.inject.internal.asm.$AnnotationVisitor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("storeAttentionApiService")
public class StoreAttentionApiServiceImpl implements StoreAttentionApiService {
    @Autowired
    private StoreAttenttionService storeAttenttionService;

    @Override
    public ServiceResponse addStoreAttenttion(Integer userId, Integer enterpriseId, Integer storeId) {
        TabAttentionStore store = new TabAttentionStore();
        store.setUserId(userId);
        store.setEnterpriseId(enterpriseId);
        store.setStoreId(storeId);
        this.storeAttenttionService.addStoreAttenttion(store);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse removeStoreAttenttion(Integer attentionId) {
        this.storeAttenttionService.removeStoreAttenttion(attentionId);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Page<AttentionStoreDTO>> pageStoreAttention(Integer userId, Integer enterpriseId, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        com.github.pagehelper.Page<TabAttentionStore> storePage = this.storeAttenttionService.pageStoreAttention(userId, enterpriseId);
        return ServiceResponse.success(PageHelperUtils.changePageHelperToCurrentPage(storePage, AttentionStoreDTO.class));
    }
}
